Face results Combined results of face detector, face mesh, age, gender, emotion, embedding, iris models Some values may be null if specific model is not enabled

Array of individual results with one object per detected face Each result has:

- id: face number
- confidence: overal detection confidence value
- boxConfidence: face box detection confidence value
- faceConfidence: face keypoints detection confidence value
- box: face bounding box as array of [x, y, width, height], normalized to image resolution
- boxRaw: face bounding box as array of [x, y, width, height], normalized to range 0..1
- mesh: face keypoints as array of [x, y, z] points of face mesh, normalized to image resolution
- meshRaw: face keypoints as array of [x, y, z] points of face mesh, normalized to range 0..1
- annotations: annotated face keypoints as array of annotated face mesh points
- age: age as value
- gender: gender as value
- genderConfidence: gender detection confidence as value
- emotion: emotions as array of possible emotions with their individual scores
- embedding: facial descriptor as array of numerical elements
- iris: iris distance from current viewpoint as distance value
- rotation: face rotiation that contains both angles and matrix used for 3d transformations
- angle: face angle as object with values for roll, yaw and pitch angles
- matrix: 3d transofrmation matrix as array of numeric values
- tensor: face tensor as Tensor object which contains detected face

### Hierarchy

- Face

## Index

### Properties

- age
- annotations
- box
- boxConfidence
- boxRaw
- confidence
- embedding
- emotion
- faceConfidence
- gender
- genderConfidence
- id
- iris
- mesh
- meshRaw
- rotation
- tensor

## Properties

### age

age: number

### annotations

annotations: { part: string; points: [number, number, number][][] }[]

### box

box: [number, number, number, number]

### boxConfidence

boxConfidence: number

### boxRaw

boxRaw: [number, number, number, number]

### confidence

confidence: number

### embedding

embedding: number[]

### emotion

emotion: { emotion: string; score: number }[]

### faceConfidence

faceConfidence: number

### gender

gender: string

### genderConfidence

genderConfidence: number

### id

id: number

### iris

iris: number

### mesh

mesh: [number, number, number][]

### meshRaw

meshRaw: [number, number, number][]

### rotation

rotation: { angle: { pitch: number; roll: number; yaw: number }; matrix: [number, number, number, number, number, number, number, number, number] }

#### Type declaration

- ##### angle: { pitch: number; roll: number; yaw: number }

  - ##### pitch: number

  - ##### roll: number

  - ##### yaw: number

- ##### matrix: [number, number, number, number, number, number, number, number, number]

### tensor

tensor: typeof __class